Package org.drinkless.tdlib

# Class TdApi.StorageStatisticsByChat

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StorageStatisticsByChat

Enclosing class:
  TdApi

public static class TdApi.StorageStatisticsByChat extends TdApi.Object
Contains the storage usage statistics for a specific chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.StorageStatisticsByFileType[]`
  `byFileType`
  Statistics split by file types.
  `long`
  `chatId`
  Chat identifier; 0 if none.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `count`
  Total number of files in the chat.
  `long`
  `size`
  Total size of the files in the chat, in bytes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StorageStatisticsByChat()`
  Contains the storage usage statistics for a specific chat.
  `StorageStatisticsByChat(long chatId, long size, int count, TdApi.StorageStatisticsByFileType[] byFileType)`
  Contains the storage usage statistics for a specific chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier; 0 if none.

  - ### size

    public long size
    Total size of the files in the chat, in bytes.

  - ### count

    public int count
    Total number of files in the chat.

  - ### byFileType

    public TdApi.StorageStatisticsByFileType[] byFileType
    Statistics split by file types.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StorageStatisticsByChat

    public StorageStatisticsByChat()
    Contains the storage usage statistics for a specific chat.

  - ### StorageStatisticsByChat

    public StorageStatisticsByChat(long chatId, long size, int count, TdApi.StorageStatisticsByFileType[] byFileType)
    Contains the storage usage statistics for a specific chat.
    Parameters:
      `chatId` - Chat identifier; 0 if none.
      `size` - Total size of the files in the chat, in bytes.
      `count` - Total number of files in the chat.
      `byFileType` - Statistics split by file types.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR